API ReferenceIACA
Update an IACA
PUT
/v2/credentials/mobile/iacas/{iacaId}Update the status of an IACA. Only active IACAs can be used for signing mDocs.
Creating an IACA with active set to false enables distributing the IACA's PEM to relying parties in advance, before it is being used to sign any mDocs.
Roles
adminissuer
Analytics Events
MOBILE_CREDENTIAL_IACA_UPDATE_STARTMOBILE_CREDENTIAL_IACA_UPDATE_SUCCESSMOBILE_CREDENTIAL_IACA_UPDATE_FAIL
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
iacaId*string
IACA ID
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X PUT "https://example.com/v2/credentials/mobile/iacas/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "active": false }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "active": true, "certificatePem": "string", "certificateData": { "notAfter": "2019-08-24", "notBefore": "2019-08-24", "country": "string", "commonName": "{tenantDomain} IACA", "stateOrProvinceName": "string" }, "certificateFingerprint": "string", "isManaged": true}How would you rate this page?